# execute-kbd-macro(2)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

execute-kbd-macro - Execute a keyboard macro

## SYNOPSIS

n execute-kbd-macro (C-x e)

## DESCRIPTION

execute-kbd-macro executes a keyboard macro. The entire sequence of recorded key-strokes is repeated starting at the current point. The result is exactly as if you were retyping the sequence all over again. A numeric argument n prefixing the execute-kbd-macro command repeats the stored key-strokes n times.

Keyboard macros are recored with start-kbd-macro(2); recording is terminated with end-kbd-macro(2).

## SEE ALSO

end-kbd-macro(2), kbd-macro-query(2), name-kbd-macro(2), start-kbd-macro(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>